Bug 1570342 - Keyboard config is scrambled
Summary: Keyboard config is scrambled
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pinball
Version: 33
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-22 03:39 UTC by Jerry James
Modified: 2020-08-11 15:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 17:58:36 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github sergiomb2 pinball issues 24 0 'None' open Keyboard config text is scrambled 2020-05-26 21:00:58 UTC

Description Jerry James 2018-04-22 03:39:29 UTC
Description of problem:
Choose COnfig, then Keyboard.  Garbage strings are printed, making it impossible to tell which line corresponds to which keyboard control.  I can push keys, and the garbage strings change to different garbage strings, but I can never see which line is supposed to control the left flipper, which the right flipper, etc.

Version-Release number of selected component (if applicable):
pinball-0.3.4-1.fc27.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start pinball
2. Choose Config
3. Choose Keyboard

Actual results:
Garbage text on the screen

Expected results:
Readable text on the screen

Additional info:

Comment 1 Sergio Basto 2018-04-24 14:44:21 UTC
Hi , I'm on this subject , I'm very busy , the problem is not of new version , it was there in version 3.1 (I checked) and yes the commit mention fix this . 
I will try do a new release on this weekend . 

Thanks.

Comment 2 Gwyn Ciesla 2018-04-24 15:10:22 UTC
Thank you!

Comment 3 Jerry James 2018-04-24 15:21:49 UTC
Thanks, Sergio.

Comment 4 Ben Cotton 2018-11-27 16:02:50 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-02-19 17:11:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 6 Gwyn Ciesla 2019-12-04 15:44:36 UTC
Submitted upstream MR. https://github.com/rzr/pinball/pull/6

Comment 7 Ben Cotton 2020-04-30 20:39:33 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-05-26 17:58:36 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Sergio Basto 2020-05-26 21:01:14 UTC
not fixed yet

Comment 10 Ben Cotton 2020-08-11 15:26:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.